Subject: Re: [PATCH 05/13] object-file: introduce `struct odb_loose_source`

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 3 Nov 2025 08:19:55 +0100

On Fri, Oct 31, 2025 at 09:16:58AM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> >> Hm, I see your point. I think that "loose source" flows a bit more
> >> natural, but I agree that the above is more accessible in code.
> >> 
> >> Before I change this: does anybody else have an opinion here?
> >
> > I think for now I'll stick to the current naming. This is due to two
> > reasons:
> 
> Ah, I should have scanned my mailbox down to the end before starting
> to respond.
> 
> >
> >   - As said, I think this flows more naturally in language. When talking
> >     about this you'll say "I'm using the files source" or "I'm using the
> >     whatever source".
> 
> I do not happen to agree with this, although my preference is minor.
> 
> >   - It somewhat matches the naming we have in the reference backends,
> >     where we have `struct reftable_backend` and `struct files_backend`.
> 
> loose_source (without odb) may mirror calling "ref backend that uses
> files" files_backend, because "ref" is redundant in the context of
> talking about ref backends.  "odb" is redundant when talking about
> odb sources.  But we are not calling them loose_odb_source,
> hbase_odb_source, etc. and instead saying "odb_loose_source", which
> I find is a bit strange order.
> 
> > That being said I don't feel very strong about this.
> 
> Neither do I.

Okay, this makes one in favor favor of `odb_source_loose`, one slightly
in favor, and me slightly in favor of `odb_loose_source`. I'll rename,
thanks both for your input!

Patrick